iPod only being detected as Drive, not as iPod

Bug #440290 reported by Martin Meredith on 2009-10-02
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
obsolete
Fix Released
Low
devicekit-disks (Ubuntu)
High
Martin Pitt
Karmic
High
Martin Pitt
gvfs (Ubuntu)
Medium
Martin Pitt
Karmic
Medium
Martin Pitt

Bug Description

Binary package hint: udev

Hi there,

I've just bought a new iPod, thought I'd treat myself, however, Ubuntu only seems to be recognising this as Removable Media, not as an actual iPod.

This is pretty annoying... Attached is the output of

udevadm info --export-db

Martin Meredith (mez) wrote :

I assume that you mean that Nautilus fails to give it an icon or something?

udev seems pretty sure about what it is:

E: ID_VENDOR=Apple
E: ID_VENDOR_ENC=Apple
E: ID_VENDOR_ID=05ac
E: ID_MODEL=iPod
E: ID_MODEL_ENC=iPod
E: ID_MODEL_ID=1301
E: ID_REVISION=0100
E: ID_SERIAL=Apple_iPod_000A27001C9D03DE
E: ID_SERIAL_SHORT=000A27001C9D03DE

affects: udev (Ubuntu) → nautilus (Ubuntu)
A. Walton (awalton) wrote :

Nautilus will only display the appropriate icon if the backend with the volume for the device gives it one. But again, the bug's not descriptive enough to know whether that's the problem (somewhere in the devicekit-disks/gdu/gvfs-gdu stack), or if the problem is Rhythmbox or whatever player not detecting it as a music storage device (libgpod/rhythmbox), or something else entirely.

Tentatively reassigning to gvfs.

affects: nautilus (Ubuntu) → gvfs (Ubuntu)
Changed in gvfs (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
status: New → Incomplete
Martin Meredith (mez) wrote :

iPods used to show up an iPod icon. When they were plugged in, they didnt used to open the folder as if it was just an external drive, but offer to open rhythmbox or similar.

Changed in gvfs (Ubuntu):
status: Incomplete → New
Sebastien Bacher (seb128) wrote :

could you add a gvfs-mount -li log to the bug?

Changed in gvfs (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → Martin Pitt (pitti)
milestone: none → ubuntu-9.10
importance: Low → High
Martin Pitt (pitti) wrote :

Can you please check if you have the "media-player-info" package installed?

If so, please plug it into the same location as last time, and copy&paste the output of

  udevadm test /devices/pci0000:00/0000:00:03.3/usb1/1-5/1-5:1.0/host15/target15:0:0/15:0:0:0/block/sdc

If that device is not known, please do

  udevadm monitor -e --udev

then plug it in, watch out for a drive (such as "sdc"), and get the path from the log.

Thanks!

Changed in gvfs (Ubuntu Karmic):
status: New → Incomplete
Martin Pitt (pitti) wrote :

I just debugged that on IRC with Sebastien.

So there's two different aspects here:

 * For Martin, media-player-info does not add the ID_MEDIA_PLAYER attribute to udev. This worked for Seb.

 * gvfs does not check the ID_MEDIA_PLAYER attribute on storage devices to set a proper icon and MIME type.

Changed in gvfs (Ubuntu Karmic):
status: Incomplete → Triaged
Martin Meredith (mez) wrote :
Martin Meredith (mez) wrote :
Martin Meredith (mez) wrote :

mez@lazy % dpkg -l media-player-info /home/mez/bugs/440290 7:02PM
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-================-================-================================================
ii media-player-inf 3-0ubuntu1 Media player identification files

mez@lazy % apt-cache policy media-player-info /home/mez/bugs/440290 7:03PM
media-player-info:
  Installed: 3-0ubuntu1
  Candidate: 3-0ubuntu1
  Version table:
 *** 3-0ubuntu1 0
        500 http://gb.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Martin Meredith (mez) wrote :

Oops, didnt realise udevadm hadn't picked it up correctly...

Right now, media players (as defined by media-player-info) don't get any presentation icon assigned in DK-D, which causes them to just get the standard "USB drive" icon in GNOME.

I'll attach a patch to fix this.

Created an attachment (id=30341)
git formatted patch

Created an attachment (id=30353)
git formatted patch

*cough* let's try that again

Martin Pitt (pitti) wrote :

@Martin: Your udev output shows

udevadm_test: ID_MEDIA_PLAYER=apple-ipod

so the media-player-info side is okay.

The icon is determined by devicekit-disks rules, I'm going to fix the icon there.

What's left is to associate these with an appropriate MIME type "x-content/audio-player". For my mobile phone, it just has x-content/image-dcf, so the "what to do with the device" dialog only offers F-Spot. It should also offer Rhythmbox.

affects: gvfs (Ubuntu Karmic) → devicekit-disks (Ubuntu Karmic)
Changed in devicekit-disks (Ubuntu Karmic):
status: Triaged → In Progress
Martin Pitt (pitti) wrote :

dk-d patch sent upstream for review.

Changed in devicekit-disks (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Keeping gvfs task for the MIME type issue. I'm not quite sure yet how that is set, need to discuss with upstream.

Changed in gvfs (Ubuntu Karmic):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devicekit-disks - 007-2ubuntu1

---------------
devicekit-disks (007-2ubuntu1) karmic; urgency=low

  * Upload Debian git head to collect fixes below. Package can be synced next
    time.
  * Add debian/local/apport-hook.py: Apport package hook for collecting
    hardware information, devkit-disks --dump, mounts, and fstab. Install it
    in debian/rules when building on Ubuntu. Add "lsb-release" build
    dependency for this.
  * Add 07-media-player-icon.patch: Use "media-player" icon for storage
    devices tagged with ID_MEDIA_PLAYER. (LP: #440290)

 -- Martin Pitt <email address hidden> Tue, 13 Oct 2009 15:38:25 +0200

Changed in devicekit-disks (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I filed a dk-disks bug for this at https://bugs.freedesktop.org/show_bug.cgi?id=24500 to discuss this with David.

Martin Pitt (pitti) on 2009-10-13
Changed in gvfs (Ubuntu Karmic):
milestone: none → ubuntu-9.10
Boondoklife (boondoklife) wrote :

I just installed the latest devicekit-disks in the updates, while the ipod now gets an ipod icon, I dont have the media-player prompt nor the rhythmbox button when browsing the ipod.

Boondoklife [2009-10-13 18:47 -0000]:
> I just installed the latest devicekit-disks in the updates, while the
> ipod now gets an ipod icon, I dont have the media-player prompt nor the
> rhythmbox button when browsing the ipod.

That's what I mean with the open gvfs task.

Tormod Volden (tormodvolden) wrote :

After the update, all my hard drive partitions (except root) are iPods :) They all have ID_MEDIA_PLAYER=?* (sic) in the udev database.

Tormod Volden (tormodvolden) wrote :

... and that is reported in bug 450540.

Martin Pitt (pitti) wrote :

Tormod Volden [2009-10-13 19:48 -0000]:
> After the update, all my hard drive partitions (except root) are iPods
> :) They all have ID_MEDIA_PLAYER=?* (sic) in the udev database.

Fixed in the dk-disks upload 2ubuntu2. Sorry for the mess!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Changed in devicekit:
status: Unknown → Confirmed
Martin Pitt (pitti) on 2009-10-14
Changed in gvfs (Ubuntu Karmic):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.4.0-0ubuntu4

---------------
gvfs (1.4.0-0ubuntu4) karmic; urgency=low

  * Add 02_music-player-mimetype.patch: Add media player content type if we
    have a multimedia-player icon. This is a kludge until
    https://bugs.freedesktop.org/show_bug.cgi?id=24500 gets discussed/solved
    properly. (LP: #440290)

 -- Martin Pitt <email address hidden> Wed, 14 Oct 2009 11:57:35 +0200

Changed in gvfs (Ubuntu Karmic):
status: Fix Committed → Fix Released

Committed, thanks!

Changed in devicekit:
status: Confirmed → Fix Released

Hi there,

How can I apply this patch?

Changed in devicekit:
importance: Unknown → Low
Changed in devicekit:
importance: Low → Unknown
Changed in devicekit:
importance: Unknown → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.